import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:pharmacy_mobile/widgets/text_widget.dart';

class ScanbarcodeWidget extends StatelessWidget {
  final GestureTapCallback onTap;
  const ScanbarcodeWidget({super.key, required this.onTap});

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.end,
      children: [
        GestureDetector(
          onTap: onTap,
          child: Container(
            padding: const EdgeInsets.only(top: 8),
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(20),
              // color: const Color.fromARGB(0, 36, 18, 58),
              // boxShadow: [
              //   BoxShadow(
              //     color: Colors.black26,
              //     blurRadius: 5.0,
              //     offset: Offset(0, 2),
              //   ),
              // ],
            ),
            child: Row(
              children: [
                Icon(
                  Icons.qr_code_scanner,
                  color: Colors.white,
                  size: 22,
                ),
                const Gap(8),
                TextWidget(
                  text: 'Scan Barcode',
                  size: 14,
                  color: Colors.white,
                ),
              ],
            ),
          ),
        ),
      ],
    );
  }
}
